MsWksGraphInternal::RBZone Struct Reference

Internal: a list of zones ( for v4). More...

## Public Member Functions

| RBZone ()
int | getId () const
| returns a unique id

## Public Attributes

bool | m_isMain
| the zone type: rbdr(true) or rbil
int | m_id
| the zone id
std::vector< int > | m_idList
| the list of rb
std::string | m_frame
| the frame name ( if it exist )

## Detailed Description

Internal: a list of zones ( for v4).

## Constructor & Destructor Documentation

## RBZone()

MsWksGraphInternal::RBZone::RBZone | ( |  | ) |

inline

## Member Function Documentation

## getId()

int MsWksGraphInternal::RBZone::getId | ( |  | ) | const

inline

returns a unique id

Referenced by MsWksGraph::readRB().

## Member Data Documentation

## m_frame

std::string MsWksGraphInternal::RBZone::m_frame

the frame name ( if it exist )

Referenced by MsWksGraph::checkTextBoxLinks(), RBZone(), and MsWksGraph::readRB().

## m_id

int MsWksGraphInternal::RBZone::m_id

the zone id

Referenced by getId(), RBZone(), and MsWksGraph::readRB().

## m_idList

std::vector<int> MsWksGraphInternal::RBZone::m_idList

the list of rb

Referenced by MsWksGraph::checkTextBoxLinks(), RBZone(), MsWksGraph::readRB(), and MsWksGraph::sendObjects().

## m_isMain

bool MsWksGraphInternal::RBZone::m_isMain

the zone type: rbdr(true) or rbil

Referenced by getId(), RBZone(), and MsWksGraph::readRB().

The documentation for this struct was generated from the following file:

- MsWksGraph.cxx